package com.ruoyi.gysl.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.gysl.entity.WysmxInformation;
import com.ruoyi.gysl.entity.request.ZwIdPageReq;
import com.ruoyi.gysl.entity.response.WysmxResponse;

import java.util.List;

/**
 * 五要素模型信息(WysmxInformation)表服务接口
 *
 * @author makejava
 * @since 2025-02-24 14:29:58
 */
public interface WysmxInformationService extends IService<WysmxInformation> {

    /**
     * 根据项目id查询该项目的五要素模型信息
     *
     * @param zwIdPageReq 查询实体
     * @return 所有数据
     */
    List<WysmxResponse> list(ZwIdPageReq zwIdPageReq);
}

